﻿using DevExpress.ExpressApp.DC;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.Validation;
using Xafari.BC.DC;
using Xafari.DC;
using Xafari.SmartDesign;

namespace Solution1.Module.BusinessObjects {
    [DomainComponent]
    [DefaultClassOptions]
    [RegisterEntity]
    public interface IContact : XafariObject
    {
        [VisibleInAllView(true)]
        [RuleRequiredField]
        string LastName { get; set; }

        [VisibleInAllView(true)]
        [RuleRequiredField]
        string FirstName { get; set; }
    }
}